php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #57567 `pecl install pdo_sqlite` fails
Submitted: 2007-03-09 03:28 UTC Modified: 2015-05-05 17:51 UTC
Votes:1
Avg. Score:1.0 ± 0.0
Reproduced:0 of 1 (0.0%)
From: stefan dot priebsch at e-novative dot de Assigned: cmb (profile)
Status: Wont fix Package: PDO SQLite
PHP Version: 5.1.6 OS: Ubuntu 6.10
Private report: No CVE-ID: None
View Add Comment Developer Edit
Anyone can comment on a bug. Have a simpler test case? Does it work for you on a different platform? Let us know!
Just going to say 'Me too!'? Don't clutter the database with that please — but make sure to vote on the bug!
Your email address:
MUST BE VALID
Solve the problem:
22 + 20 = ?
Subscribe to this entry?

 
 [2007-03-09 03:28 UTC] stefan dot priebsch at e-novative dot de
Description:
------------
Building pdo_sqlite fails on Ubuntu 6.10 server. Building PDO itself has worked fine, it shows up in phpinfo().

Reproduce code:
---------------
pecl install pdo_sqlite

Actual result:
--------------
[...]
 gcc -I/tmp/pear/cache/PDO_SQLITE-1.0.1/sqlite/src -DPDO_SQLITE_BUNDLED=1 -DSQLITE_OMIT_CURSOR -I/usr/include/php/ext -I. -I/tmp/pear/cache/PDO_SQLITE-1.0.1 -DPHP_ATOM_INC -I/var/tmp/pear-build-root/PDO_SQLITE-1.0.1/include -I/var/tmp/pear-build-root/PDO_SQLITE-1.0.1/main -I/tmp/pear/cache/PDO_SQLITE-1.0.1 -I/usr/include/php5 -I/usr/include/php5/main -I/usr/include/php5/TSRM -I/usr/include/php5/Zend -I/usr/include/php5/ext -DHAVE_CONFIG_H -g -O2 -c /tmp/pear/cache/PDO_SQLITE-1.0.1/sqlite/src/where.c  -fPIC -DPIC -o sqlite/src/.libs/where.o
yacc  /tmp/pear/cache/PDO_SQLITE-1.0.1/sqlite/src/parse.y
/tmp/pear/cache/PDO_SQLITE-1.0.1/sqlite/src/parse.y:21.1-13: invalid directive: `%token_prefix'
/tmp/pear/cache/PDO_SQLITE-1.0.1/sqlite/src/parse.y:21.15-17: syntax error, unexpected identifier
make: *** [/tmp/pear/cache/PDO_SQLITE-1.0.1/sqlite/src/parse.c] Error 1
ERROR: `make' failed


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2007-03-22 11:35 UTC] stefan dot priebsch at e-novative dot de
This is a showstopper. Could somebody please have a look at it?

I can provide more information if you advise me what you need.
 [2007-03-22 12:37 UTC] wez@php.net
Use the pdo_sqlite that comes with PHP 5.1.6, it is newer than the version in PECL
 [2007-03-25 04:31 UTC] stefan dot priebsch at e-novative dot de
pdo_sqlite is not distributed with Ubuntu. You have to compile yourself from PECL - which means that I am stuck here.
 [2007-03-25 08:38 UTC] wez@php.net
Then you should file a bug with the ubuntu folks for leaving out part of PHP on their system.

Meanwhile, you can build your own PHP from source.
 [2015-05-05 17:51 UTC] cmb@php.net
-Summary: Install fails +Summary: `pecl install pdo_sqlite` fails -Status: Open +Status: Wont fix -Package: PDO_SQLITE +Package: PDO SQLite -Assigned To: +Assigned To: cmb
 [2015-05-05 17:51 UTC] cmb@php.net
The situation has not changed in the meantime and likely won't in
the future neither: PDO_SQLITE is maintained in the php-src repo,
but no more on PECL.
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Sun Nov 29 09:01:24 2020 UTC